<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Document</title>

    <script src="https://use.fontawesome.com/54e1664763.js"></script>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css"
          integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/css/style.css">

    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/solid.js"
            integrity="sha384-tzzSw1/Vo+0N5UhStP3bvwWPq+uvzCMfrN1fEFe+xBmv1C/AtVX5K0uZtmcHitFZ"
            crossorigin="anonymous"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/fontawesome.js"
            integrity="sha384-6OIrr52G08NpOFSZdxxz1xdNSndlD4vdcf/q2myIUVO0VsqaGHJsB0RaBE01VTOY"
            crossorigin="anonymous"></script>
    <script src="https://kit.fontawesome.com/ab35fad191.js" crossorigin="anonymous"></script>
</head>

<body>
<div class="wrapper">
    <!-- Sidebar  -->
    <nav id="sidebar">
        <div class="sidebar-header company-name">
            <a th:href="@{/}">
                <img src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/logo.png" alt="rip" width="200px">
            </a>
        </div>

        <ul class="list-unstyled components">
            <li class="">
                <a href="#reportsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-book"></i>
                        <label>Manage Finances</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="reportsSubmenu">
                    <li>
                        <a th:href="@{/make-BankTransfer}">Withdraw Funds</a>
                    </li>
                    <li>
                        <a th:href="@{/my-transactions}">Your Transactions</a>
                    </li>
                    <li>
                        <a th:href="@{/make-transaction}">Make a Transaction</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#walletsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-wallet"></i>
                        <label>Wallets</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="walletsSubmenu">
                    <li>
                        <a th:href="@{/my-wallets}">Your Wallets</a>
                    </li>
                    <li>
                        <a th:href="@{/add-wallet}">Create New Wallet</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#cardsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-credit-card"></i>
                        <label>Cards</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="cardsSubmenu">
                    <li>
                        <a th:href="@{/my-cards}">My cards</a>
                    </li>
                    <li>
                        <a th:href="@{/add-card}">Add New Card</a>
                    </li>
                </ul>
            </li>
            <li>
                <a th:href="@{/my-profile}">
                    <i class="fas fa-user" style="color: #ffffff;"></i>
                    <label>Profile</label>
                </a>
            </li>

            <li sec:authorize="hasRole('ADMIN')">
                <a href="#adminSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-user-cog"></i>
                        <label>Admin panel</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="adminSubmenu">
                    <li>
                        <a th:href="@{/users}">User management</a>
                    </li>
                    <li>
                        <a th:href="@{/transactions}">All transactions</a>
                    </li>
                </ul>

            </li>

        </ul>
    </nav>


    <!-- Page Content  -->
    <div id="content">
        <nav class="navbar navbar-expand-lg">
            <div class="container-fluid">

                <button type="button" id="sidebarCollapse">
                    <i id="collapse-icon" class="fas fa-bars fa-2x"></i>
                </button>

                <button class="btn d-inline-block d-lg-none ml-auto" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <i class="fas fa-bars"></i>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="nav navbar-nav ml-auto">
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/my-profile}">
                                <i class="fas fa-user-circle"></i>
                                <label>Profile</label>
                            </a>
                        </li>
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/logout}">
                                <i class="fas fa-sign-out-alt"></i>
                                <label>Logout</label>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container main-container">
            <div class="container table-responsive user-wallet-container">
                <p class="users-list-section page-main-title">
                    Wallets
                </p>

                <div th:if="${param.invalid_wallet_id}" class="alert alert-danger" role="alert" id="invalid_wallet">
                    <strong>Error!</strong> Wallet with provided ID does not belong to this profile.
                </div>
                <div th:if="${param.already_default}" class="alert alert-danger" role="alert" id="already_default">
                    <strong>Error!</strong> The selected wallet is already your default.
                </div>
                <div th:if="${param.default_wallet_delete}" class="alert alert-danger" role="alert" id="default_wallet_delete">
                    <strong>Error!</strong> You cannot delete your default wallet.
                </div>
                <div th:if="${param.successful_new_default}" class="alert alert-success" role="alert" id="successful_default">
                    <strong>Success!</strong> New default wallet set successfully.
                </div>
                <div th:if="${param.successful_delete}" class="alert alert-success" role="alert" id="successful_default">
                    <strong>Success!</strong> Wallet deleted successfully.
                </div>

                <script type="text/javascript">
                    // close the div in 5 secs
                    window.setTimeout("closeHelpDiv();", 5000);

                    function closeHelpDiv(){
                        for(var i = 0; i < document.getElementsByClassName("alert").length; i++) {
                            document.getElementsByClassName("alert").item(i).style.display =" none";
                        }
                    }
                </script>

<!--                <div class="row pad">-->
                    <form th:action="@{/filter-wallets}" th:object="${walletFilterDto}" method="post" class="row pad">
                        <div class="col-lg-6 col-sm-6 filer-search-container d-flex justify-content-start">
                            <select class="filer-select-search">
                                <option value="volvo">Wallet Name</option>
                            </select>
                            <input class="search-input" type="text" placeholder="Search" name="search" th:field="*{name}">
                            <button type="submit" class="col-lg-3 confirm-button" style="margin-left: 20px">Search</button>
                        </div>

                        <div class="col-lg-6 col-sm-6  d-flex justify-content-end">
                            <select class="sort-select" th:field="*{sortOption}">
                                <option value="balance_asc">Balance Asc</option>
                                <option value="balance_desc">Balance Desc</option>
                            </select>
                        </div>
                    </form>
<!--                </div>-->

                <table class="table table-bordered wallets-section" id="wallet_table">
                    <thead>
                    <tr>
                        <th scope="col">ID</th>
                        <th scope="col">Wallet Name</th>
                        <th scope="col">Default</th>
                        <th scope="col">Balance</th>
                        <th scope="col">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="wallet:${wallets}">
                        <td th:text="${wallet.id}">BTC1</td>
                        <td th:text="${wallet.name}">2019-01-24 12:50:17 </td>
                        <td th:text="${wallet.default}">2019-01-24 12:50:17 </td>
                        <td th:text="${wallet.balance}">125.78</td>
                        <td>
                            <span class="d-inline-block" tabindex="0" data-toggle="tooltip"
                                  title="See all transactions">
                                <a id="wallet_transaction_id" href="">
                                    <i class="fas fa-eye"></i>
                                </a>
                            </span>
                            <span class="d-inline-block" tabindex="0" data-toggle="modal"
                                  data-target="#activate-user-modal"  title="Make default">
                                <i class="fas fa-check c-add"></i>
                            </span>

                            <span class="d-inline-block" tabindex="0" data-toggle="tooltip"
                                  title="Edit Wallet">
                                <a id="update_wallet_id" th:href="@{'/update-wallet/' + ${wallet.id}}">
                                    <i class="fas fa-edit"></i>
                                </a>
                            </span>
                            <span class="d-inline-block" tabindex="0" data-toggle="modal"
                                  data-target="#activate-delete-modal"  title="Delete wallet">
                                <i class="fas fa-trash-alt c-delete"></i>
                            </span>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="modal" id="activate-user-modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content alert-modal">
                    <div class="text-center">
                        <i class="fas fa-check-circle fa-5x"></i>
                    </div>
                    <h2 class="text-center">Default Wallet</h2>
                    <p class="text-center">Do you want to make this wallet your default?</p>
                    <div class="text-center action-buttons">
                        <form action="" method="post" id="default_wallet_form" style="margin-bottom: 5px">
                            <button type="submit" class="confirm-button">Make Default</button>
                        </form>
                        <button type="button" class="cancel-button" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal" id="activate-delete-modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content alert-modal">
                    <div class="text-center">
                        <i class="fas fa-check-circle fa-5x"></i>
                    </div>
                    <h2 class="text-center">Delete Wallet</h2>
                    <p class="text-center">Do you want to delete this wallet.</p>
                    <div class="text-center action-buttons">
                        <form action="" method="post" id="delete_wallet_form" style="margin-bottom: 5px">
                            <button type="submit" class="confirm-button">Delete</button>
                        </form>
                        <button type="button" class="cancel-button" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- jQuery CDN - Slim version (=without AJAX) -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<!-- Popper.JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"
        integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
        crossorigin="anonymous"></script>
<!-- Bootstrap JS -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"
        integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm"
        crossorigin="anonymous"></script>

<script type="text/javascript" src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/js/app.js"></script>
<script type="text/javascript" src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/js/my-wallets.js"></script>
</body>

</html>